		play = (function(){
			var itemHeight = 144;
			var itemHalf = itemHeight / 2;
			var itemCount = 29;
			var wheelHeight = itemCount * itemHeight;
			cardIds = {0:'pik-koenig',1:'herz-10',2:'pik-8',3:'herz-7',4:'karo-koenig',5:'kreuz-10',6:'pik-10',7:'herz-dame',8:'herz-ass',9:'kreuz-ass',10:'karo-ass',11:'herz-9',12:'karo-7',13:'kreuz-7',14:'karo-dame',15:'pik-dame',16:'black-joker',17:'karo-9',18:'red-joker',19:'pik-ass',20:'herz-koenig',21:'kreuz-koenig',22:'karo-10',23:'pik-9',24:'herz-8',25:'pik-7',26:'kreuz-9',27:'karo-8',28:'kreuz-8'}
			
			winList = [{'w1':'pik-7','w2':'pik-8','w3':'pik-9'},{'w1':'pik-8','w2':'pik-9','w3':'pik-10'},{'w1':'pik-9','w2':'pik-10','w3':'pik-ass'},			{'w1':'black-joker','w2':'pik-dame','w3':'pik-koenig'},
			{'w1':'kreuz-7','w2':'kreuz-8','w3':'kreuz-9'},{'w1':'kreuz-8','w2':'kreuz-9','w3':'kreuz-10'},{'w1':'kreuz-9','w2':'kreuz-10','w3':'kreuz-ass'},{'w1':'black-joker','w2':'kreuz-dame','w3':'kreuz-koenig'},
			{'w1':'herz-7','w2':'herz-8','w3':'herz-9'},{'w1':'herz-8','w2':'herz-9','w3':'herz-10'},{'w1':'herz-9','w2':'herz-10','w3':'herz-ass'},{'w1':'red-joker','w2':'herz-dame','w3':'herz-koenig'},
			{'w1':'karo-7','w2':'karo-8','w3':'karo-9'},{'w1':'karo-8','w2':'karo-9','w3':'karo-10'},{'w1':'karo-9','w2':'karo-10','w3':'karo-ass'},
			{'w1':'red-joker','w2':'karo-dame','w3':'karo-koenig'}]
			start.addEventListener("click", startWheels, false)
			cashDisplay.addEventListener("animationend", clearFlash, false);			

			function clearFlash(){cashDisplay.removeAttribute('class')}

			var cash = {
				value: 0,
				add:function(v){cash.value+=v; cash.show()},
				show:function(){
					var eu10=Math.floor(cash.value/100),eu1=Math.floor(cash.value/10),eu01=Math.floor(cash.value)-eu1*10,numHeight=-54;
					cashDisplay.children[0].style.backgroundPosition = '0 '+eu10*numHeight+'px';
					cashDisplay.children[1].style.backgroundPosition = '0 '+eu1*numHeight+'px';				
					cashDisplay.children[2].style.backgroundPosition = '0 '+eu01*numHeight+'px';				
					}
			}

			function startWheels(){
				var r1v = Math.round(Math.random() * 10+2*itemCount) * -itemHeight;
				var r2v = Math.round(Math.random() * 10+2*itemCount) * -itemHeight;
				var r3v = Math.round(Math.random() * 10+2*itemCount) * -itemHeight;
				move(w1,makeEaseOut(bounce),7000,r1v,w1.offsetTop+itemHalf);
				move(w2,makeEaseOut(bounce),8000,r2v,w2.offsetTop+itemHalf);
				move(w3,makeEaseOut(bounce),9000,r3v,w3.offsetTop+itemHalf);
				cash.add(-2);		
			}

			var playButton = {
				disable:function(){start.disabled='disabled'},
				enable:function(){start.disabled='';}
			}

			var cashbackButton = {
				disable:function(){coinsBack.setAttribute('disabled' , 'disabled');},
				enable:function(){coinsBack.removeAttribute('disabled');}
			}

			var wheelStatus = {
				count: 0,
				incr:function(){
					wheelStatus.count++;
					playButton.disable();
					cashbackButton.disable();
					},
				decr:function(){
					wheelStatus.count--;
					if(!wheelStatus.count){
						cashbackButton.enable();
						if(cash.value>1) {playButton.enable()};
						var p1 = calcWheelPos(w1.offsetTop);
						var p2 = calcWheelPos(w2.offsetTop);
						var p3 = calcWheelPos(w3.offsetTop);
						winResult(p1,p2,p3);
					}
				}
			}
			
			function winResult(p1,p2,p3){
				// pair left & right
				if(p1==p3) {cash.add(10);cashDisplay.setAttribute('class','flash')}
				// pairs & joker
				var n1 = cardIds[p1];
				var n2 = cardIds[p2];
				var n3 = cardIds[p3];
				if(n1=='red-joker' || n1 == 'black-joker' || n2=='red-joker' || n2 == 'black-joker' || n3=='red-joker' || n3 == 'black-joker' || p1==p2 || p2==p3){cash.add(5);cashDisplay.setAttribute('class','flash')}
				// triple
				if(p1==p2 && p2==p3) {cash.add(50);cashDisplay.setAttribute('class','flashHigh')}
				// street list
				for(var i=0,l=winList.length;i<l;i++){
					if(winList[i].w1 == n1 && winList[i].w2 == n2 && winList[i].w3 == n3){
						cash.add(100);
						cashDisplay.setAttribute('class','flashHigh');
						return
					}
				}
			}
			
			function calcWheelPos(p){
				return -((p-itemHalf)%wheelHeight)/itemHeight;
			}
			
			function animate(opts) {
			  var start = new Date;   
			  var id = setInterval(function() {
			    var timePassed = new Date - start;
			    var progress = timePassed / opts.duration;
			    if (progress > 1) progress = 1;
  		    var delta = opts.delta(progress)
  			  opts.step(delta,opts.to,opts.ltop)
  			  if (progress == 1) {
  			    clearInterval(id)
  			    wheelStatus.decr()
  			  }
  			}, opts.delay || 10)
			}
	
			function move(element, delta, duration, toPos, ltop) {
			  wheelStatus.incr()
			  animate({
			  	ltop: ltop || 0,
			  	to:toPos || -wheelHeight,
			    delay: 10,
			    duration: duration || 1000, // 1 sec by default
			    delta: delta,
			    step: function(delta,to,ltop) {
			      element.style.top = (ltop+to*delta) % wheelHeight - itemHalf + "px"    
			    }
			  })
			}
	
			function bounce(progress) {
	  		for(var a = 0, b = 1, result; 1; a += b, b /= 2) {
	  		  if (progress >= (7 - 4 * a) / 11) {
	  		    return -Math.pow((11 - 6 * a - 11 * progress) / 4, 2) + Math.pow(b, 2);
	  		  }
	  		}
			}

			function makeEaseOut(delta) {  
			  return function(progress) {
			    return 1 - delta(1 - progress)
			  }
			}
		
			playButton.disable()		
			w1.style.top = -Math.round(Math.random()*itemCount)*itemHeight-itemHalf+"px";
			w2.style.top = -Math.round(Math.random()*itemCount)*itemHeight-itemHalf+"px";
			w3.style.top = -Math.round(Math.random()*itemCount)*itemHeight-itemHalf+"px";
		
			return{
				start:startWheels,
				cash:cash,
				button:playButton,
				wheelStatus:wheelStatus
			}
		})();
		
		// ----------------------------------------------
		var coins = (function(){
			
			coinsBack.addEventListener("click", out, false);
			credit.addEventListener("click", function(){coinsPreset(59)}, false);
			coin_hider.addEventListener("animationend", clearCoinAnim, false);
			
			function playersCash(){
				var value=0;
				for(var i=0, coinVal, l=coin_hider.children.length;i<l;i++){
					coinVal = coin_hider.children[i].classList[1];
					switch(coinVal){
						case 'cent10':
							value+=1;
							break;
						case 'cent20':
							value+=2;
							break;
						case 'euro1':
							value+=10;
							break;
						case 'euro2':
							value+=20;
							break;
					}
				}
				return value;
			}
			
			function clearCoinAnim(e){
				switch(e.animationName){
					case 'move_coin_out':
						e.target.classList.remove('moveCoinOut');
						showCash();
						break;
					case 'move_coin_in':
						var r = coin_hider.removeChild(e.target);
						showCash();
				}		
			}
			
			function insertCoin(e){
				switch(e.target.classList[1]){
					case "euro1":
						addValue(10,e);
						break;
					case "euro2":
						addValue(20,e);
						break;
					case "cent10":
						addValue(1,e);
						break;
					case "cent20":
						addValue(2,e);
						break;
				}
			}
			
			function addValue(value,e){
				if(play.wheelStatus.count == 0){
					e.target.classList.add('moveCoinIn');
					play.cash.add(value);	
					if(play.cash.value > 1) play.button.enable();
				}
			}
			function splitCoins(value){
				var eu = Math.floor(value/10);
				var ct = value-eu*10;
				return {euro:eu,cent:ct};
			}
			
			function out(){
				coinObj = splitCoins(play.cash.value);
				play.button.disable();
				coinsOut(coinObj);
				showCash();
			}
			
			function coinsPreset(value){
				coinObj = splitCoins(value);
				while(coinObj.cent | coinObj.euro){
					if(coinObj.cent){
						if(coinObj.cent & 1){
							createCoin('cent10');
							coinObj.cent--;
						} else {
							createCoin('cent20');
							coinObj.cent-=2;
						}
					} else if(coinObj.euro) {
						if(coinObj.euro & 1){
							createCoin('euro1');
							coinObj.euro--;
						} else {
							createCoin('euro2');
							coinObj.euro-=2;
						}
					}
				}
				showCash();
			}
			
			function coinsOut(opt){
				var id = setInterval(function(){
					if(opt.cent){
						if(opt.cent & 1){
							createCoinOut('cent10');
							opt.cent--;
							play.cash.add(-1);
						} else {
							createCoinOut('cent20');
							opt.cent-=2;
							play.cash.add(-2);
						}
					} else if(opt.euro) {
						if(opt.euro & 1){
							createCoinOut('euro1');
							opt.euro--;
							play.cash.add(-10);
						} else {
							createCoinOut('euro2');
							opt.euro-=2;
							play.cash.add(-20);
						}
					} else clearInterval(id);

				},500);
			}

			function createCoinOut(styleVal){
				var sp = document.createElement("span");
				sp.classList.add('coin');
				sp.classList.add(styleVal);
				sp.classList.add('moveCoinOut');
				sp = coin_hider.appendChild(sp);
				sp.addEventListener('click',insertCoin,false)
			}
			
			function createCoin(styleVal){
				var sp = document.createElement("span");
				sp.classList.add('coin');
				sp.classList.add(styleVal);
				sp = coin_hider.appendChild(sp);
				sp.addEventListener('click',insertCoin,false)
			}
			
			function showCash(){
				var value = playersCash();
				CashVal.firstChild.replaceData(0,8,(value/10).toFixed(2))
				if(!value & play.cash.value<2) {credit.style.display="block"} else {credit.style.display=""}
			}
			
			return{
				out:out,
				cashPreset:coinsPreset,
				currentCash:playersCash
			}
		})()
  
coins.cashPreset(59);
